Subject: Re: git-gui cannot find share/git-gui under cygwin

From: Mark Levedahl <[email-masked]>
Date: Tue, 19 Jun 2007 14:41:46 -0400

Shawn O. Pearce wrote:
> Yuck.  I'm considering applying the following.  It works ok on Mac
> OS X where the bug isn't triggered anyway.  ;-) I won't be able to
> test on Cygwin until tomorrow.
>
>   
sorry, no joy. The problem is that gitexecdir=/usr/bin, but...

/usr/bin is a Cygwin mount point that points at c:\cygwin\bin.

so...

$ cygpath -m -a /bin
C:/cygwin/bin
$ cygpath -m -a /usr
C:/cygwin/usr
$ cygpath -m -a /usr/bin
C:/cygwin/bin
$ cygpath -m -a /usr/share
C:/cygwin/usr/share

and the result is that both  exedir_SQ  and  libdir_SQ  have the value  
/usr/share/git-gui-lib

I don't think there is a portable solution here. Maybe just say

    if test "$(uname_O)" = Cygwin; then \
        GITGUI_RELATIVE=; \
 
and be done with it.

Mark